Bug 1294854 - [RFE] [downstream clone] Report fibre channel initiator and target world wide names [NEEDINFO]
[RFE] [downstream clone] Report fibre channel initiator and target world wide...
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.5.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Yaniv Lavi
Gil Klein
: FutureFeature
Depends On: 1264053
Blocks: 1520566 CEECIR_RHV43_proposed
  Show dependency treegraph
 
Reported: 2015-12-30 12:24 EST by Kumar
Modified: 2018-02-20 18:30 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1264053
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: needinfo? (juan.hernandez)
mkalinin: needinfo? (ahoness)


Attachments (Terms of Use)

  None (edit)
Description Kumar 2015-12-30 12:24:50 EST
+++ This bug was initially created as a clone of Bug #1264053 +++

Currently the engine (via the RESTAPI) doesn't report the WWN (world wide names) of the SCSI initiators and targets for fiber channel storage domains. For example:

  <logical_unit id="3600014400000001070605fc6b86f0000">
    <serial>myserial</serial>
    <vendor_id>myvendor</vendor_id>
    <product_id>myuproduct</product_id>
    <lun_mapping>0</lun_mapping>
    <size>53687091200</size>
    <paths>4</paths>
    <status>used</status>
  </logical_unit>

This information doesn't include the WWN of the initiator or the target.

For iSCSI the target is reported, in the form of a iSCSI IQN, but the initiator WWN is also missing:

  <logical_unit id="3600a09803752706c3224462d72794500">
    <port>3260</port>
    <target>iqn.2015-09.com.example:mytarget</target>
    <portal>...</portal>
    <address>...</address>
    <serial>...</serial>
    <vendor_id>myvendor</vendor_id>
    <product_id>myproduct</product_id>
    <lun_mapping>0</lun_mapping>
    <size>107374182400</size>
    <paths>0</paths>
    <volume_group_id>...</volume_group_id>
    <storage_domain_id>...</storage_domain_id>
  <logical_unit>

This RFE is about reporting the initiator and target WWN in all cases, for example:

  <logical_unit id="3600014400000001070605fc6b86f0000">
    <initiator>
      <wwn>myinitiatorwwn</wwn>
    </initiator>
    <target>
      <wwn>mytargetwwn</wwn>
    </target>
    ...
  </logical_unit>

As the initiators are more related to the host than to a specific LU it may be better to create a new "/hosts/{host:id}/scsiinitiators" collection:

  GET /hosts/{host:id}/scsiinitiators
  <scsi_initiators>
    <scsi_initiator id="..." href="...">
      <wwn>myinitiator1wwwn</wwn>
    </scsi_initiator>
    <scsi_initiator id="..." hef="...">
      <wwn>myinitiator2wwwn</wwn>
    </scsi_initiator>
    ...
  </scsi_initiators>

Same for the targets. The LU can then report them using links:

  <logical_unit ...>
    <initiator id="..." href="/hosts/{host:id}/scsiinitiators/..."/>
    <target id="..." href="/hosts/{host:id}/scsitargets/..."/>
  </logical_unit>
Comment 4 Kumar 2016-04-21 05:21:25 EDT
Hello,

Any further updates on this? Is it planned for any release?
Comment 5 Kumar 2016-06-20 04:43:09 EDT
Hello Team, Any plans for this feature?

Note You need to log in before you can comment on or make changes to this bug.